JoomphpBB2 latest posts module

For Joomla 1.0.x and 1.5.x (legacy)
NOTE: The module does not support phpbb3 and phpbb3 bridge!

Place the same Download button at your site now! Buy it here.

Using this joomla module you will have the latest posts from phpbb forum shown on your web site.